## SOURCES_RKWard_0.6.3_R_3.1.2_KDE_4.10.2.tar

=== CMakeLists.txt ===
# cURL/libcurl CMake script
# by Tetetest and Sukender (Benoit Neil)

# TODO:
# The output .so file lacks the soname number which we currently have within the lib/Makefile.am file
# Add full (4 or 5 libs) SSL support
# Add INSTALL target (EXTRA_DIST variables in Makefile.am may be moved to Makefile.inc so that CMake/CPack is aware of what's to include).
# Add CTests(?)
# Check on all possible platforms
# Test with as many configurations possible (With or without any option)
# Create scripts that help keeping the CMake build system up to date (to reduce maintenance). According to Tetetest:
#  - lists of headers that 'configure' checks for;
#  - curl-specific tests (the ones that are in m4/curl-*.m4 files);
#  - (most obvious thing:) curl version numbers.
# Add documentation subproject
#
# To check:
# (From Daniel Stenberg) The cmake build selected to run gcc with -fPIC on my box while the plain configure script did not.
# (From Daniel Stenberg) The gcc command line use neither -g nor any -O options. As a developer, I also treasure our configure scripts's --enable-debug option that sets a long range of "picky" compiler options.
cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake;${CMAKE_MODULE_PATH}")
include(Utilities)

project( CURL C )


file (READ ${CURL_SOURCE_DIR}/include/curl/curlver.h CURL_VERSION_H_CONTENTS)
string (REGEX MATCH "LIBCURL_VERSION_MAJOR[ \t]+([0-9]+)" 
  LIBCURL_VERSION_MJ ${CURL_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)" 
  LIBCURL_VERSION_MJ ${LIBCURL_VERSION_MJ})
string (REGEX MATCH 
  "LIBCURL_VERSION_MINOR[ \t]+([0-9]+)"
  LIBCURL_VERSION_MI ${CURL_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)" LIBCURL_VERSION_MI ${LIBCURL_VERSION_MI})
string (REGEX MATCH 
  "LIBCURL_VERSION_PATCH[ \t]+([0-9]+)" 
  LIBCURL_VERSION_PT ${CURL_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)" LIBCURL_VERSION_PT ${LIBCURL_VERSION_PT})
set (CURL_MAJOR_VERSION ${LIBCURL_VERSION_MJ})
set (CURL_MINOR_VERSION ${LIBCURL_VERSION_MI})
set (CURL_PATCH_VERSION ${LIBCURL_VERSION_PT})

include_regular_expression("^.*$")    # Sukender: Is it necessary?

# Setup package meta-data
# SET(PACKAGE "curl")
set(CURL_VERSION ${CURL_MAJOR_VERSION}.${CURL_MINOR_VERSION}.${CURL_PATCH_VERSION})
message(STATUS "curl version=[${CURL_VERSION}]")
# SET(PACKAGE_TARNAME "curl")
# SET(PACKAGE_NAME "curl")
# SET(PACKAGE_VERSION "-")
# SET(PACKAGE_STRING "curl-")
# SET(PACKAGE_BUGREPORT "a suitable curl mailing list => http://curl.haxx.se/mail/")
set(OPERATING_SYSTEM "${CMAKE_SYSTEM_NAME}")
set(OS "\"${CMAKE_SYSTEM_NAME}\"")

# Make the base headers visible to everything
# IF(NOT ${PROJECT_BINARY_DIR} EQUAL ${PROJECT_SOURCE_DIR})
# INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/include)
# ENDIF()
include_directories( ${CURL_SOURCE_DIR}/include )

if(WIN32)
  set(NATIVE_WINDOWS ON)
endif()

option(BUILD_CURL_EXE "Set to ON to build cURL executable." ON)
option(BUILD_CURL_TESTS "Set to ON to build cURL tests." ON)
option(CURL_STATICLIB "Set to ON to build libcurl with static linking." OFF)
option(CURL_USE_ARES "Set to ON to enable c-ares support" OFF)
# initialize CURL_LIBS
set(CURL_LIBS "")

if(CURL_USE_ARES)
  set(USE_ARES ${CURL_USE_ARES})
  find_package(CARES REQUIRED) 
  list(APPEND CURL_LIBS ${CARES_LIBRARY} )
  set(CURL_LIBS ${CURL_LIBS} ${CARES_LIBRARY})
endif()

option(BUILD_DASHBOARD_REPORTS "Set to ON to activate reporting of cURL builds here http://www.cdash.org/CDashPublic/index.php?project=CURL" OFF)
if(BUILD_DASHBOARD_REPORTS)
  #INCLUDE(Dart)
  include(CTest)
endif(BUILD_DASHBOARD_REPORTS)

if(MSVC)
  option(BUILD_RELEASE_DEBUG_DIRS "Set OFF to build each configuration to a separate directory" OFF)
  mark_as_advanced(BUILD_RELEASE_DEBUG_DIRS)
endif()

option(CURL_HIDDEN_SYMBOLS "Set to ON to hide libcurl internal symbols (=hide all symbols that aren't officially external)." ON)
mark_as_advanced(CURL_HIDDEN_SYMBOLS)

# IF(WIN32)
# OPTION(CURL_WINDOWS_SSPI "Use windows libraries to allow NTLM authentication without openssl" ON)
# MARK_AS_ADVANCED(CURL_WINDOWS_SSPI)
# ENDIF()

option(HTTP_ONLY "disables all protocols except HTTP (This overrides all CURL_DISABLE_* options)" OFF)
mark_as_advanced(HTTP_ONLY)
option(CURL_DISABLE_FTP "disables FTP" OFF)
mark_as_advanced(CURL_DISABLE_FTP)
option(CURL_DISABLE_LDAP "disables LDAP" OFF)
mark_as_advanced(CURL_DISABLE_LDAP)
option(CURL_DISABLE_TELNET "disables Telnet" OFF)
mark_as_advanced(CURL_DISABLE_TELNET)
option(CURL_DISABLE_DICT "disables DICT" OFF)
mark_as_advanced(CURL_DISABLE_DICT)
option(CURL_DISABLE_FILE "disables FILE" OFF)
mark_as_advanced(CURL_DISABLE_FILE)
option(CURL_DISABLE_TFTP "disables TFTP" OFF)
mark_as_advanced(CURL_DISABLE_TFTP)
option(CURL_DISABLE_HTTP "disables HTTP" OFF)
mark_as_advanced(CURL_DISABLE_HTTP)

option(CURL_DISABLE_LDAPS "to disable LDAPS" OFF)
mark_as_advanced(CURL_DISABLE_LDAPS)
if(WIN32)
  set(CURL_DEFAULT_DISABLE_LDAP OFF)
endif(WIN32)

if(HTTP_ONLY)
  set(CURL_DISABLE_FTP ON)
  set(CURL_DISABLE_LDAP ON)
  set(CURL_DISABLE_TELNET ON)
  set(CURL_DISABLE_DICT ON)
  set(CURL_DISABLE_FILE ON)
  set(CURL_DISABLE_TFTP ON)
endif()

option(CURL_DISABLE_COOKIES "to disable cookies support" OFF)
mark_as_advanced(CURL_DISABLE_COOKIES)

option(CURL_DISABLE_CRYPTO_AUTH "to disable cryptographic authentication" OFF)
mark_as_advanced(CURL_DISABLE_CRYPTO_AUTH)
option(CURL_DISABLE_VERBOSE_STRINGS "to disable verbose strings" OFF)
mark_as_advanced(CURL_DISABLE_VERBOSE_STRINGS)
option(DISABLED_THREADSAFE "Set to explicitly specify we don't want to use thread-safe functions" OFF)
mark_as_advanced(DISABLED_THREADSAFE)
option(ENABLE_IPV6 "Define if you want to enable IPv6 support" OFF)
mark_as_advanced(ENABLE_IPV6)


# We need ansi c-flags, especially on HP
set(CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")
set(CMAKE_REQUIRED_FLAGS ${CMAKE_ANSI_CFLAGS})

# Disable warnings on Borland to avoid changing 3rd party code.
if(BORLAND)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w-")
endif(BORLAND)

# If we are on AIX, do the _ALL_SOURCE magic
if(${CMAKE_SYSTEM_NAME} MATCHES AIX)
  set(_ALL_SOURCE 1)
endif(${CMAKE_SYSTEM_NAME} MATCHES AIX)

# Include all the necessary files for macros
include (CheckFunctionExists)
include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (CheckSymbolExists)
# if crosscompiling is on, the CHECK_TYPE_SIZE macro coming with cmake uses
# TRY_COMPILE instead of TRY_RUN which makes crosscompiling easier, Alex
if(CMAKE_CROSSCOMPILING)  
  include ("${CMAKE_MODULE_PATH}/CheckTypeSize.cmake")
else(CMAKE_CROSSCOMPILING)
  include (CheckTypeSize)
endif(CMAKE_CROSSCOMPILING)

# On windows preload settings
if(WIN32)
  include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/Platforms/WindowsCache.cmake)
endif(WIN32)

# This macro checks if the symbol exists in the library and if it
# does, it appends library to the list.
macro(CHECK_LIBRARY_EXISTS_CONCAT LIBRARY SYMBOL VARIABLE)
  check_library_exists("${LIBRARY};${CURL_LIBS}" ${SYMBOL} "" 
    ${VARIABLE})
  if(${VARIABLE})
    set(CURL_LIBS ${CURL_LIBS} ${LIBRARY})
  endif(${VARIABLE})
endmacro(CHECK_LIBRARY_EXISTS_CONCAT)

# Check for all needed libraries
check_library_exists_concat("dl"     dlopen       HAVE_LIBDL)
#CHECK_LIBRARY_EXISTS_CONCAT("ucb"    gethostname  HAVE_LIBUCB)
check_library_exists_concat("socket" connect      HAVE_LIBSOCKET)
check_library_exists("c" gethostbyname "" NOT_NEED_LIBNSL)

# Yellowtab Zeta needs different libraries than BeOS 5.
if(BEOS)
  set(NOT_NEED_LIBNSL 1)
  check_library_exists_concat("bind" gethostbyname HAVE_LIBBIND)
  check_library_exists_concat("bnetapi" closesocket HAVE_LIBBNETAPI)
endif(BEOS)

if(NOT NOT_NEED_LIBNSL)
  check_library_exists_concat("nsl"    gethostbyname  HAVE_LIBNSL)
endif(NOT NOT_NEED_LIBNSL)

check_library_exists_concat("ws2_32" getch        HAVE_LIBWS2_32)
check_library_exists_concat("winmm"  getch        HAVE_LIBWINMM)
check_library_exists("wldap32" cldap_open "" HAVE_WLDAP32)

if(WIN32)
  if(HAVE_LIBWS2_32)
    link_libraries( ws2_32 ) 
  endif(HAVE_LIBWS2_32)
  if(HAVE_LIBWINMM)
    link_libraries( wsock32)
  endif(HAVE_LIBWINMM)
  if(NOT CURL_DISABLE_LDAP AND HAVE_WLDAP32)
    link_libraries(wldap32)
  endif(NOT CURL_DISABLE_LDAP AND HAVE_WLDAP32)

 if( NOT HAVE_WLDAP32)
    set(CURL_DISABLE_LDAP ON CACHE BOOL "" FORCE)
    message(STATUS "wldap32 not found CURL_DISABLE_LDAP set ON")
    option(CURL_LDAP_WIN "Use W$ LDAP implementation" OFF)
  else(NOT HAVE_WLDAP32)
    option(CURL_LDAP_WIN "Use W$ LDAP implementation" ON)
  endif(NOT HAVE_WLDAP32)
  mark_as_advanced(CURL_LDAP_WIN)
  set(CURL_LDAP_HYBRID OFF)
else(WIN32)
  option(CURL_LDAP_HYBRID "W$ LDAP with non-W$ compiler" OFF)
  mark_as_advanced(CURL_LDAP_HYBRID)
  set(CURL_LDAP_WIN OFF)
endif(WIN32)



# IF(NOT CURL_SPECIAL_LIBZ)
#  CHECK_LIBRARY_EXISTS_CONCAT("z"      inflateEnd   HAVE_LIBZ)
# ENDIF(NOT CURL_SPECIAL_LIBZ)

option(CMAKE_USE_OPENSSL "Use OpenSSL code. Experimental" ON)
mark_as_advanced(CMAKE_USE_OPENSSL)
if(CMAKE_USE_OPENSSL)
  if(WIN32)
    find_package(OpenSSL)
    if(OPENSSL_FOUND)
      set(USE_SSLEAY TRUE)
      set(USE_OPENSSL TRUE)
      list(APPEND CURL_LIBS ${OPENSSL_LIBRARIES} )
    endif()
    #FIND_LIBRARY(LIBEAY NAMES libeay32)
    #LIST(APPEND CURL_LIBS ${LIBEAY} )
  else(WIN32)
    check_library_exists_concat("crypto" CRYPTO_lock  HAVE_LIBCRYPTO)
    check_library_exists_concat("ssl"    SSL_connect  HAVE_LIBSSL)
  endif(WIN32)
endif(CMAKE_USE_OPENSSL)

# Check for idn
check_library_exists_concat("idn" idna_to_ascii_lz HAVE_LIBIDN)

# Check for LDAP
check_library_exists_concat("ldap" ldap_init HAVE_LIBLDAP)
# if(NOT HAVE_LIBLDAP)
# SET(CURL_DISABLE_LDAP ON)
# endif(NOT HAVE_LIBLDAP)

# Check for symbol dlopen (same as HAVE_LIBDL)
check_library_exists("${CURL_LIBS}" dlopen "" HAVE_DLOPEN)

# For other tests to use the same libraries
set(CMAKE_REQUIRED_LIBRARIES ${CURL_LIBS})

option(CURL_ZLIB "Set to ON to enable building cURL with zlib support." ON)
set(HAVE_LIBZ OFF)
set(HAVE_ZLIB_H OFF)
set(HAVE_ZLIB OFF)
if(CURL_ZLIB)  # AND CURL_CONFIG_HAS_BEEN_RUN_BEFORE
  find_package(ZLIB QUIET)
  if(ZLIB_FOUND)
    set(HAVE_ZLIB_H ON)
    set(HAVE_ZLIB ON)
    set(HAVE_LIBZ ON)
  endif()
endif()

# If we have features.h, then do the _BSD_SOURCE magic
check_include_file("features.h"       HAVE_FEATURES_H)

# Check if header file exists and add it to the list.
macro(CHECK_INCLUDE_FILE_CONCAT FILE VARIABLE)
  check_include_files("${CURL_INCLUDES};${FILE}" ${VARIABLE})
  if(${VARIABLE})
    set(CURL_INCLUDES ${CURL_INCLUDES} ${FILE})
    set(CURL_TEST_DEFINES "${CURL_TEST_DEFINES} -D${VARIABLE}")
  endif(${VARIABLE})
endmacro(CHECK_INCLUDE_FILE_CONCAT)


# Check for header files
if(NOT UNIX)
  check_include_file_concat("ws2tcpip.h"     HAVE_WS2TCPIP_H)
  check_include_file_concat("winsock2.h"     HAVE_WINSOCK2_H)
endif(NOT UNIX)
check_include_file_concat("stdio.h"          HAVE_STDIO_H)
if(NOT UNIX)
  check_include_file_concat("windows.h"      HAVE_WINDOWS_H)
  check_include_file_concat("winsock.h"      HAVE_WINSOCK_H)
endif(NOT UNIX)

check_include_file_concat("inttypes.h"       HAVE_INTTYPES_H)
check_include_file_concat("sys/filio.h"      HAVE_SYS_FILIO_H)
check_include_file_concat("sys/ioctl.h"      HAVE_SYS_IOCTL_H)
check_include_file_concat("sys/param.h"      HAVE_SYS_PARAM_H)
check_include_file_concat("sys/poll.h"       HAVE_SYS_POLL_H)
check_include_file_concat("sys/resource.h"   HAVE_SYS_RESOURCE_H)
check_include_file_concat("sys/select.h"     HAVE_SYS_SELECT_H)
check_include_file_concat("sys/socket.h"     HAVE_SYS_SOCKET_H)
check_include_file_concat("sys/sockio.h"     HAVE_SYS_SOCKIO_H)
check_include_file_concat("sys/stat.h"       HAVE_SYS_STAT_H)
check_include_file_concat("sys/time.h"       HAVE_SYS_TIME_H)
check_include_file_concat("sys/types.h"      HAVE_SYS_TYPES_H)
check_include_file_concat("sys/uio.h"        HAVE_SYS_UIO_H)
check_include_file_concat("sys/un.h"         HAVE_SYS_UN_H)

=== Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2011 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2479 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Do NOT change this file! All system specific settings and configs
#  go into config.mk.
#
#  This makefile contains (supposedly) generic build rules to build the
#  library and applications. It includes all system specific settings
#  from config.mk. The idea is that configuring and porting the
#  software to a new platform should only require changes in config.mk.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: bin

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add standalone C++ header files to this list
CCHDR =  exiv2.hpp             \
         exv_conf.h            \
         exv_msvc.h            \
         version.hpp

# Add library C++ source files to this list
CCSRC =  basicio.cpp           \
	 bmpimage.cpp          \
	 canonmn.cpp           \
	 convert.cpp           \
	 cr2image.cpp          \
	 crwimage.cpp          \
	 datasets.cpp          \
	 easyaccess.cpp        \
	 epsimage.cpp          \
	 error.cpp             \
	 exif.cpp              \
	 futils.cpp            \
	 fujimn.cpp            \
	 gifimage.cpp          \
	 image.cpp             \
	 iptc.cpp              \
	 jp2image.cpp          \
	 jpgimage.cpp          \
	 makernote.cpp         \
	 metadatum.cpp         \
	 minoltamn.cpp         \
	 mrwimage.cpp          \
	 nikonmn.cpp           \
	 olympusmn.cpp         \
	 orfimage.cpp          \
	 panasonicmn.cpp       \
	 pgfimage.cpp
ifdef HAVE_LIBZ
CCSRC += pngimage.cpp          \
	 pngchunk.cpp
endif
CCSRC += preview.cpp           \
	 properties.cpp        \
	 psdimage.cpp          \
	 rafimage.cpp          \
	 rw2image.cpp          \
	 samsungmn.cpp         \
	 sigmamn.cpp           \
	 pentaxmn.cpp          \
	 sonymn.cpp            \
	 tags.cpp              \
	 tgaimage.cpp          \
	 tiffcomposite.cpp     \
	 tiffimage.cpp         \
	 tiffvisitor.cpp       \
	 types.cpp             \
	 value.cpp             \
	 version.cpp           \
	 xmp.cpp               \
	 xmpsidecar.cpp

# Add library C source files to this list
ifndef HAVE_TIMEGM
CSRC =   localtime.c
endif

# Add source files of simple applications to this list
# Todo: How can we still support crwedit.cpp, crwparse.cpp
BINSRC = taglist.cpp

# Source files for the Exiv2 application
EXIV2MAIN = exiv2.cpp
EXIV2SRC  = actions.cpp       \
	    utils.cpp
# C source files for the Exiv2 application
ifndef HAVE_TIMEGM
EXIVCSRC  = localtime.c
endif

# Source files for the metacopy sample application
MCMAIN = metacopy.cpp
MCSRC  = utils.cpp

# ******************************************************************************
# Library
LIBRARY = libexiv2.la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS += $(XMPSDK_CPPFLAGS)
LDFLAGS += $(EXPAT_LDFLAGS) $(XMPSDK_LDFLAGS)
LIBS += $(EXPAT_LIBS) $(XMPSDK_LIBS)

# Generic variables
CCHDR := $(CCHDR) $(CCSRC:.cpp=.hpp)
CCOBJ = $(CCSRC:.cpp=.o)
CCLOBJ = $(CCSRC:.cpp=.lo)

COBJ = $(CSRC:.c=.o)
CLOBJ = $(CSRC:.c=.lo)

SRC = $(CCSRC) $(CSRC)
HDR = $(CCHDR)
OBJ = $(CCOBJ) $(COBJ)
LOBJ = $(CCLOBJ) $(CLOBJ)

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

EXIV2OBJ = $(EXIV2MAIN:.cpp=.o) $(EXIV2SRC:.cpp=.o)
EXIV2COBJ = $(EXIVCSRC:.c=.o)
EXIV2BIN = $(EXIV2MAIN:.cpp=)
EXIV2EXE = $(EXIV2MAIN:.cpp=$(EXEEXT))

MCOBJ = $(MCMAIN:.cpp=.o) $(MCSRC:.cpp=.o)
MCBIN = $(MCMAIN:.cpp=)
MCEXE = $(MCMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d) $(CSRC:%.c=$(DEPDIR)/%.d) \
      $(BINSRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIV2MAIN:%.cpp=$(DEPDIR)/%.d) $(EXIV2SRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIVCSRC:%.c=$(DEPDIR)/%.d) $(MCMAIN:%.cpp=$(DEPDIR)/%.d) \
      $(MCSRC:%.cpp=$(DEPDIR)/%.d) $(DEPDIR)/path-test.d

endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(COBJ): %.o: %.c
	@$(LIBTOOL) --mode=compile $(COMPILE.c) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(sort $(BINOBJ) $(EXIV2OBJ) $(MCOBJ) path-test.o): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.o: %.c
	$(COMPILE.c) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) -DEXV_BUILDING_LIB=1 $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all bin check ctags doc                                        \
        clean mostlyclean distclean maintainer-clean                   \
        install install-header install-lib                             \
        uninstall uninstall-header uninstall-lib

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

actions.cpp basicio.cpp exif.cpp exiv2.cpp futils.cpp image.cpp jpgimage.cpp utils.cpp: exv_conf.h

exv_conf.h: $(top_srcdir)/config/config.h
	sed 's/#define \([A-Z]\)/#define EXV_\1/; s/#undef \([A-Z]\)/#undef EXV_\1/' < $< > $@

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

bin: lib $(BINARY) $(EXIV2BIN) $(MCBIN) path-test

lib: $(OBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ) -rpath $(libdir) -version-info $(EXIV2_LTVERSION) $(LIBS)
	@touch lib

path-test: path-test.o utils.o
	$(CXX) $(CXXFLAGS) path-test.o utils.o -o $@

$(BINARY): %: %.o lib
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $@.o -rpath $(libdir)

$(EXIV2BIN): lib $(EXIV2OBJ) $(EXIV2COBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(EXIV2OBJ) $(EXIV2COBJ) -rpath $(libdir)

$(MCBIN): lib $(MCOBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(MCOBJ) -rpath $(libdir)

install-header:
	$(INSTALL_DIRS) $(DESTDIR)$(incdir)
	@list='$(HDR)'; for p in $$list; do \
	    if test -f $$p; then \
	        echo "$(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p"; \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p; \
	    else :; fi; \
	done

install-lib: lib install-header
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)
	@$(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIBRARY) $(DESTDIR)$(libdir)/$(LIBRARY)
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) $(top_srcdir)/config/exiv2.pc $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc

install: $(EXIV2BIN) install-lib
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(EXIV2EXE) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	$(INSTALL_DIRS) $(DESTDIR)$(mandir)
	$(INSTALL_DIRS) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) exiv2.1 $(DESTDIR)$(man1dir)/exiv2.1

uninstall-header:
	@list='$(HDR)'; for p in $$list; do \
	    echo "$(RM) $(DESTDIR)$(incdir)/$$p"; \
	    $(RM) $(DESTDIR)$(incdir)/$$p; \
	done
	-rmdir $(DESTDIR)$(incdir)

uninstall-lib: uninstall-header
	$(RM) $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc
	-rmdir $(DESTDIR)$(libdir)/pkgconfig
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY)
	-rmdir $(DESTDIR)$(libdir)

uninstall: uninstall-lib
	$(RM) $(DESTDIR)$(man1dir)/exiv2.1
	-rmdir $(DESTDIR)$(man1dir)
	-rmdir $(DESTDIR)$(mandir)
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	-rmdir $(DESTDIR)$(bindir)

ctags:
	ebrowse $(HDR) $(SRC)
#	ctags-exuberant --extra=+q -e *
#	ctags-exuberant --extra=+q *

check:
	@echo "No checks available for this library."

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) lib
	$(RM) path-test.o
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ) $(sort $(BINOBJ) $(EXIV2OBJ) $(EXIV2COBJ) $(MCOBJ))

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)
	@$(LIBTOOL) --mode=clean $(RM) $(EXECUTABLE) $(EXIV2EXE) $(MCEXE)
	@$(LIBTOOL) --mode=clean $(RM) path-test$(EXEEXT)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
	$(RM) exv_conf.h doxygen.hpp
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) tags TAGS
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean
	-$(RM) -r .deps
	-$(RM) -r .libs

=== JavaOpenJPEG/CMakeLists.txt ===
#JavaOpenJPEG/CMakeLists.txt

# First thing define the common source:
SET(openjpegjni_SRCS
  JavaOpenJPEGDecoder.c
  JavaOpenJPEG.c
  ${OPENJPEG_SOURCE_DIR}/applications/codec/index.c
  ${OPENJPEG_SOURCE_DIR}/applications/codec/convert.c
  #${OPENJPEG_SOURCE_DIR}/applications/common/color.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/opj_getopt.c
  )

# JNI binding:
find_package(JNI REQUIRED)
include_directories(${JNI_INCLUDE_DIRS})

# required header file:
include_directories(
  ${OPENJPEG_SOURCE_DIR}/libopenjpeg
  ${OPENJPEG_SOURCE_DIR}/applications/common
  ${OPENJPEG_SOURCE_DIR}/applications/codec
  )

add_library(openjpegjni MODULE
  ${openjpegjni_SRCS}
  )
TARGET_LINK_LIBRARIES(openjpegjni ${OPENJPEG_LIBRARY_NAME})

IF(WIN32)
  SET(OPENJPEG_INSTALL_JNI_DIR ${OPENJPEG_INSTALL_BIN_DIR})
ELSE()
  SET(OPENJPEG_INSTALL_JNI_DIR ${OPENJPEG_INSTALL_LIB_DIR})
ENDIF()

INSTALL(TARGETS openjpegjni
  EXPORT OpenJPEGTargets
  LIBRARY DESTINATION ${OPENJPEG_INSTALL_JNI_DIR} COMPONENT Libraries
)

# build jar:
FIND_PACKAGE(Java 1.5 REQUIRED) # javac, jar

# build dep list:
file(GLOB java_srcs "java-sources/org/openJpeg/*.java")

# make sure target javac dir exists:
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/classes)
# Build java
ADD_CUSTOM_COMMAND(
  OUTPUT ${LIBRARY_OUTPUT_PATH}/openjpeg.jar
  COMMAND ${Java_JAVAC_EXECUTABLE} -sourcepath  "${CMAKE_CURRENT_SOURCE_DIR}/java-sources"
  ${java_srcs} -d ${CMAKE_CURRENT_BINARY_DIR}/classes
  COMMAND ${Java_JAR_EXECUTABLE} cvf ${LIBRARY_OUTPUT_PATH}/openjpeg.jar org
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/classes
  DEPENDS ${java_srcs}
  COMMENT "javac *.java; jar cvf -> openjpeg.jar"
)

# name the target
ADD_CUSTOM_TARGET(OpenJPEGJavaJar ALL
  DEPENDS ${LIBRARY_OUTPUT_PATH}/openjpeg.jar
  COMMENT "building openjpeg.jar"
)

INSTALL(FILES ${LIBRARY_OUTPUT_PATH}/openjpeg.jar
  DESTINATION ${OPENJPEG_INSTALL_SHARE_DIR} COMPONENT JavaModule
)

=== certunittest/CMakeLists.txt ===
ENABLE_TESTING()

set(certunittest_bin_SRCS certunittest.cpp)

MY_AUTOMOC( certunittest_bin_SRCS )

add_executable(certunittest ${certunittest_bin_SRCS} )

target_link_libraries( certunittest qca ${QT_QTTEST_LIBRARY})

FOREACH( testFileName RootCAcert.pem 76.pem altname.pem csr1.pem 
	 GoodCACRL.pem ov-root-ca-cert.crt User.pem QcaTestClientCert.pem xmppcert.pem 
	 Server.pem QcaTestServerCert.pem xmppcert.pem newreq.pem
	 QualitySSLIntermediateCA.crt QcaTestRootCert.pem Test_CRL.crl
	 RAIZ2007_CERTIFICATE_AND_CRL_SIGNING_SHA256.crt )
   CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/certs/${testFileName} ${CMAKE_CURRENT_BINARY_DIR}/certs/${testFileName} COPYONLY)
ENDFOREACH( testFileName )

ADD_TEST(Certificate ${EXECUTABLE_OUTPUT_PATH}/certunittest)

=== cipherunittest/CMakeLists.txt ===
ENABLE_TESTING()

set( cipherunittest_bin_SRCS cipherunittest.cpp )

MY_AUTOMOC( cipherunittest_bin_SRCS )

add_executable(cipherunittest ${cipherunittest_bin_SRCS} )

target_link_libraries( cipherunittest qca ${QT_QTTEST_LIBRARY})

ADD_TEST( SymmetricCipher ${EXECUTABLE_OUTPUT_PATH}/cipherunittest)

=== client/CMakeLists.txt ===
project(clienttests C)

add_cmockery_test(torture_algorithms torture_algorithms.c ${TORTURE_LIBRARY})
add_cmockery_test(torture_auth torture_auth.c ${TORTURE_LIBRARY})
add_cmockery_test(torture_connect torture_connect.c ${TORTURE_LIBRARY})
add_cmockery_test(torture_knownhosts torture_knownhosts.c ${TORTURE_LIBRARY})
add_cmockery_test(torture_proxycommand torture_proxycommand.c ${TORTURE_LIBRARY})
if (WITH_SFTP)
    add_cmockery_test(torture_sftp_static torture_sftp_static.c ${TORTURE_LIBRARY})
    add_cmockery_test(torture_sftp_dir torture_sftp_dir.c ${TORTURE_LIBRARY})
endif (WITH_SFTP)

=== codec/CMakeLists.txt ===
# Build the demo app, small examples

# First thing define the common source:
SET(common_SRCS
  convert.c
  index.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/color.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/opj_getopt.c
  )

# Headers file are located here:
INCLUDE_DIRECTORIES(
  ${OPENJPEG_SOURCE_DIR}/libopenjpeg
  ${LCMS_INCLUDE_DIRNAME}
  ${OPENJPEG_SOURCE_DIR}/applications/common
  ${Z_INCLUDE_DIRNAME}
  ${PNG_INCLUDE_DIRNAME}
  ${TIFF_INCLUDE_DIRNAME}
  )

IF(WIN32)
  IF(BUILD_SHARED_LIBS)
    ADD_DEFINITIONS(-DOPJ_EXPORTS)
  ELSE(BUILD_SHARED_LIBS)
    ADD_DEFINITIONS(-DOPJ_STATIC)
  ENDIF(BUILD_SHARED_LIBS)
ENDIF(WIN32)

# Loop over all executables:
FOREACH(exe j2k_to_image image_to_j2k j2k_dump)
  ADD_EXECUTABLE(${exe} ${exe}.c ${common_SRCS})
  TARGET_LINK_LIBRARIES(${exe} ${OPENJPEG_LIBRARY_NAME} 
    ${PNG_LIBNAME} ${TIFF_LIBNAME} ${LCMS_LIBNAME}
    )
  # To support universal exe:
  IF(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(${exe} z)
  ELSe(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(${exe} ${Z_LIBNAME})
  ENDIF(ZLIB_FOUND AND APPLE)

  # On unix you need to link to the math library:
  IF(UNIX)
    TARGET_LINK_LIBRARIES(${exe} m)
  ENDIF(UNIX)
  # Install exe
  INSTALL(TARGETS ${exe}
    EXPORT OpenJPEGTargets
    DESTINATION ${OPENJPEG_INSTALL_BIN_DIR} COMPONENT Applications
  )
ENDFOREACH(exe)

# Install man pages
INSTALL(
  FILES       ${OPENJPEG_SOURCE_DIR}/doc/man/man1/image_to_j2k.1
              ${OPENJPEG_SOURCE_DIR}/doc/man/man1/j2k_dump.1
              ${OPENJPEG_SOURCE_DIR}/doc/man/man1/j2k_to_image.1
  DESTINATION ${OPENJPEG_INSTALL_MAN_DIR}/man1)
#

IF(BUILD_JPWL)
  ADD_EXECUTABLE(JPWL_j2k_to_image
  j2k_to_image.c
  ${common_SRCS}
  )
  
  SET_PROPERTY(
     TARGET JPWL_j2k_to_image
     APPEND PROPERTY COMPILE_DEFINITIONS USE_JPWL
  )

  TARGET_LINK_LIBRARIES(JPWL_j2k_to_image ${OPENJPEG_LIBRARY_NAME}_JPWL
    ${LCMS_LIBNAME} ${PNG_LIBNAME} ${TIFF_LIBNAME})
    
  # To support universal exe:
  IF(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(JPWL_j2k_to_image z)
  ELSe(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(JPWL_j2k_to_image ${Z_LIBNAME})
  ENDIF(ZLIB_FOUND AND APPLE)
  
  IF(UNIX)
    TARGET_LINK_LIBRARIES(JPWL_j2k_to_image m)
  ENDIF(UNIX)

  ADD_EXECUTABLE(JPWL_image_to_j2k
  image_to_j2k.c
  ${common_SRCS}
  )
  
  SET_PROPERTY(
     TARGET JPWL_image_to_j2k
     APPEND PROPERTY COMPILE_DEFINITIONS USE_JPWL
  )

  TARGET_LINK_LIBRARIES(JPWL_image_to_j2k ${OPENJPEG_LIBRARY_NAME}_JPWL 
  	${LCMS_LIBNAME} ${PNG_LIBNAME} ${TIFF_LIBNAME})
  	
  # To support universal exe:
  IF(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(JPWL_image_to_j2k z)
  ELSe(ZLIB_FOUND AND APPLE)
    TARGET_LINK_LIBRARIES(JPWL_image_to_j2k ${Z_LIBNAME})
  ENDIF(ZLIB_FOUND AND APPLE)

  IF(UNIX)
    TARGET_LINK_LIBRARIES(JPWL_image_to_j2k m)
  ENDIF(UNIX)

  INSTALL(TARGETS JPWL_image_to_j2k JPWL_j2k_to_image
    DESTINATION ${OPENJPEG_INSTALL_BIN_DIR} COMPONENT Applications
  )
ENDIF(BUILD_JPWL)

=== curl/CMakeLists.txt ===
set(pkginclude_HEADERS
    curl.h
    curlver.h 
    easy.h 
    mprintf.h 
    stdcheaders.h 
    types.h multi.h 
    typecheck-gcc.h
    curlbuild.h
    curlrules.h)


install(FILES ${pkginclude_HEADERS}  DESTINATION include/curl)

=== intl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(intl)

set(HAVE_NEWLOCALE 0)
set(HAVE_POSIX_PRINTF 0)
set(HAVE_SNPRINTF 0)
set(HAVE_ASPRINTF 0)
set(HAVE_WPRINTF 0)

configure_file(libgnuintl.h.in libgnuintl.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

set(INTL_SRCS
  bindtextdom.c
  dcgettext.c
  dgettext.c
  gettext.c
  finddomain.c
  hash-string.c
  loadmsgcat.c
  localealias.c
  textdomain.c
  l10nflist.c
  explodename.c
  dcigettext.c
  dcngettext.c
  dngettext.c
  ngettext.c
  plural-exp.c
  localcharset.c
  threadlib.c
  lock.c
  relocatable.c
  langprefs.c
  localename.c
  log.c
  printf.c
  setlocale.c
  version.c
  osdep.c
  intl-compat.c
  libintl.rc
  plural.c
  intl.def
)

add_definitions(-DLOCALE_ALIAS_PATH="")
add_definitions(-DLOCALEDIR="")
add_definitions(-DIN_LIBINTL)
#add_definitions(-DBUILDING_DLL)
#add_definitions(-DHAVE_VISIBILITY)

add_library(intl ${LIBRARY_TYPE} ${INTL_SRCS})
target_link_libraries(intl ${ICONV_LIBRARIES})
if(MSVC)
set_target_properties(intl PROPERTIES OUTPUT_NAME "libintl")
endif(MSVC)

if(WINCE)
    target_link_libraries(intl ${WCECOMPAT_LIBRARIES})
endif(WINCE)

install(TARGETS intl RUNTIME DESTINATION bin
                        LIBRARY DESTINATION lib
                        ARCHIVE DESTINATION lib)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgnuintl.h DESTINATION include RENAME libintl.h)

=== java/CMakeLists.txt ===

########### next target ###############

SET(ical_jni_LIB_SRCS
   jlibical_consts_cxx.h
   jlibical_utils_cxx.cpp
   jlibical_utils_cxx.h
   jniICalDurationType_cxx.cpp
   jniICalDurationType_cxx.h
   jniICalPeriodType_cxx.cpp
   jniICalPeriodType_cxx.h
   jniICalRecurrenceType_cxx.cpp
   jniICalRecurrenceType_cxx.h
   jniICalTimeType_cxx.cpp
   jniICalTimeType_cxx.h
   jniICalTriggerType_cxx.cpp
   jniICalTriggerType_cxx.h
   net_cp_jlibical_ICalParameter_cxx.cpp
   net_cp_jlibical_ICalParameter_cxx.h
   net_cp_jlibical_ICalProperty_cxx.cpp
   net_cp_jlibical_ICalProperty_cxx.h
   net_cp_jlibical_ICalValue_cxx.cpp
   net_cp_jlibical_ICalValue_cxx.h
   net_cp_jlibical_VComponent_cxx.cpp
   net_cp_jlibical_VComponent_cxx.h
)

add_library(ical_jni ${LIBRARY_TYPE} ${ical_jni_LIB_SRCS})

target_link_libraries(ical_jni ical_cxx)

set_target_properties(ical_jni PROPERTIES VERSION ${LIBICAL_LIB_VERSION_STRING} SOVERSION ${LIBICAL_LIB_MAJOR_VERSION})
install(TARGETS ical_jni DESTINATION lib)


########### install files ###############

install(FILES  DESTINATION /include)
install(FILES  libical.jar DESTINATION /share)



#original Makefile.am contents follow:

#lib_LTLIBRARIES = libical_jni.la
#
#INCLUDES = -I../libical -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/$(JAVA_PLATFORM)
#
#libical_jni_la_LDFLAGS = -no-defined -version-info 44:0:44
#
#libical_jni_la_LIBADD = 			\
#	../libical/libical_cxx.la
#
#libical_jni_la_SOURCES =			\
#	jlibical_consts_cxx.h			\
#	jlibical_utils_cxx.cpp			\
#	jlibical_utils_cxx.h			\
#	jniICalDurationType_cxx.cpp		\
#	jniICalDurationType_cxx.h		\
#	jniICalPeriodType_cxx.cpp		\
#	jniICalPeriodType_cxx.h			\
#	jniICalRecurrenceType_cxx.cpp		\
#	jniICalRecurrenceType_cxx.h		\
#	jniICalTimeType_cxx.cpp			\
#	jniICalTimeType_cxx.h			\
#	jniICalTriggerType_cxx.cpp		\
#	jniICalTriggerType_cxx.h		\
#	net_cp_jlibical_ICalParameter_cxx.cpp	\
#	net_cp_jlibical_ICalParameter_cxx.h	\
#	net_cp_jlibical_ICalProperty_cxx.cpp	\
#	net_cp_jlibical_ICalProperty_cxx.h	\
#	net_cp_jlibical_ICalValue_cxx.cpp	\
#	net_cp_jlibical_ICalValue_cxx.h		\
#	net_cp_jlibical_VComponent_cxx.cpp	\
#	net_cp_jlibical_VComponent_cxx.h
#
#java_JAVA=\
#ICalDurationType.java    ICalTriggerType.java     VEvent.java\
#ICalParameter.java       ICalValue.java           VFreeBusy.java\
#ICalPeriodType.java      VAgenda.java             VQuery.java\
#ICalProperty.java        VAlarm.java              VToDo.java\
#ICalRecurrenceType.java  VCalendar.java           \
#ICalTimeType.java        VComponent.java
#
#data_DATA = libical.jar
#
#libical.jar: classjava.stamp
#	(cd $(top_builddir); $(JAR) cf src/java/libical.jar net)
#
#jlibical_jniincludedir = $(includedir)
#
#TESTS = testjni.sh
#
#testjni.sh:
#	echo "$(JAVA) -Djava.library.path=@prefix@/lib -classpath $(JAVA_HOME)/lib/classes.zip:@prefix@/lib/libical.jar net.cp.jlibical.testjni" > testjni.sh && chmod a+x testjni.sh

=== kdfunittest/CMakeLists.txt ===
ENABLE_TESTING()

set( kdfunittest_bin_SRCS kdfunittest.cpp)  

MY_AUTOMOC( kdfunittest_bin_SRCS )

add_executable( kdfunittest ${kdfunittest_bin_SRCS} )

target_link_libraries( kdfunittest qca ${QT_QTTEST_LIBRARY})

ADD_TEST(KeyDerivationFunction ${EXECUTABLE_OUTPUT_PATH}/kdfunittest)

=== kioslave/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(file)
add_subdirectory(ftp)
add_subdirectory(help)
add_subdirectory(http)
add_subdirectory(mailto)
add_subdirectory(rlogin)
add_subdirectory(telnet)
add_subdirectory(webdav)

=== changelog ===
djvulibre (3.5.22-10) unstable; urgency=low

  * bump policy (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jun 2010 16:03:12 +0200

djvulibre (3.5.22-9) unstable; urgency=low

  * fix typo in debian/copyright
  * include upstream changes including nsdejavu XtShellStrings fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Mar 2010 16:56:46 +0000

djvulibre (3.5.22-8) unstable; urgency=low

  * upstream patch escapes fields in djvused output-* (closes: #564684)
  * ditch libjpeg62-dev dependencies in favour of libjpeg-dev (closes: #569233)
  * rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2010 23:47:32 +0000

djvulibre (3.5.22-7) unstable; urgency=low

  * patch typos (closes: #551398)
  * man page install (closes: #561350), note dh_installman would botch i18n

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Dec 2009 14:02:49 -0500

djvulibre (3.5.22-6) unstable; urgency=low

  * patch for typos, thanks Jakub Wilk <ubanus@users.sf.net> (closes: #551109)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Oct 2009 18:16:19 +0100

djvulibre (3.5.22-5) unstable; urgency=low

  * dh ${misc:Depends} for straggler binary packages
  * sh4 patch from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (closes: #550172)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Oct 2009 13:56:34 +0100

djvulibre (3.5.22-4) unstable; urgency=low

  * Clean lintian issues:
    - rev deb std
    - cease ignoring errors in installation scripts
    - debug package into section: debug
    - dh ${misc:Depends} for all packages

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2009 22:43:51 -0400

djvulibre (3.5.22-3) unstable; urgency=low

  * Compensate for change in dh_install {,} handling (closes: #538394)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Jul 2009 15:02:11 +0100

djvulibre (3.5.22-2) unstable; urgency=low

  * Invoke Elder Gods Horror to skirt libtool issue (closes: #512252), see
    debian/rules "Cthulhu"

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jul 2009 13:09:57 +0200

djvulibre (3.5.22-1) unstable; urgency=low

  [ Leon Bottou ]
  * Upstream release candidate
  
  [ Barak A. Pearlmutter ]

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Jun 2009 22:53:13 +0200

djvulibre (3.5.21-3) unstable; urgency=low

  * Upstream browser plugin fix to gui/nsdejavu/nsdejavu.c (closes: #504340)
  * Upstream fix for djvups -text=yes non-ASCII crash (closes: #469122)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2008 21:32:00 +0000

djvulibre (3.5.21-2) unstable; urgency=low

  * Remove bashism ...{.,*}... from debian/rules (closes: #505644)
  * Put djvulibre-dbg in section libdevel (closes: #498456)
  * Formatting patch for c44.1 from Ubuntu (closes: #505643)
  * Don't integrate 3.5.20-8+lenny0 (do no reopen #495979, #507503)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Nov 2008 10:34:44 +0000

djvulibre (3.5.21-1) unstable; urgency=medium

  * Upstream release
  * Remove path from command-with-path in djview3.prerm
  * Partially dh7-ianize
  * Include bin/djvudigital, useful if gsdjvu installed (closes: #495979)
  * Include /usr/lib/libdjvulibre.a in libdjvulibre-dev
  * Build depend on imagemagick and include upstream change to regenerate
    icon files from SVG sources during build process

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Sep 2008 15:21:53 +0100

djvulibre (3.5.20-11) unstable; urgency=low

  * Upstream mods for man and GCC 4.x warnings
  * Conflict with old library to avoid (closes: #472503)
  * Tiny HURD MAXPATHLEN patch from Samuel Thibault (closes: #487342)
  * Existence update-alternative existence check from installation scripts
  * Integrate 3.5.20-10.1 NMU by Philipp Kern (thanks!) with Conflicts:
    changed to Replaces: where appropriate
  * Rev to dh 7

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 16:07:05 +0100

djvulibre (3.5.20-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libdjvulibre-text: add a conflicts against libdjvulibre15 to fix
    upgrades from Etch (Closes: #494303)

 -- Philipp Kern <pkern@debian.org>  Thu, 14 Aug 2008 11:30:37 -0300

djvulibre (3.5.20-10) unstable; urgency=low

  * Put djview3 support files in djview3 package, leaving only generic
    library support files in libdjvulibre-text (closes: #493854)
  * Include more upstream translated text
  * Flush a bunch of minor compiler warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Aug 2008 17:23:17 +0100

djvulibre (3.5.20-9) unstable; urgency=low

  * Add djvulibre-dbg package with debug symbols (closes: #493351)
    thanks to Pino Toscano <pino@kde.org> for the patch
  * Provide virtual package djvu-viewer (closes: #491012)
  * Flush update-alternatives from djview scripts (closes: #491123)
  * Minor updates to debian packaging info
  * Split libdjvulibre-text out of djvulibre-desktop, so
    (a) libdjvulibreXX can depend on just -text not -desktop, and
    (b) libdjvulibreXX for various XX>=21 can coexist
    (closes: #472347, #474702, #474993, #475630)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Aug 2008 14:16:12 +0100

djvulibre (3.5.20-8) unstable; urgency=low

  * Raise djvudigital default resolution from 300 to 600 (closes: #478607)
  * Have lib suggest rather than recommend reader (closes: #476682)
  * Utilities package now recommends pdf2djvu package, coming soon
  * Fix update-alternatives in installation scripts (closes: #476444)
  * Rev deb policy
  
 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 May 2008 01:12:15 -0700

djvulibre (3.5.20-7) unstable; urgency=low

  * Generate djview transition package (closes: #473341)
  * Postscript generation issue (four-color image into cpaldjvu into
    djvups without -mode=bw) seems to be resolved (closes: #278945)
  * Remove djvudigital from djvulibre-bin (closes: #461226)
  * Rewrite desktop package description (closes: #474689, #474700)



=== control ===
Source: djvulibre
Section: web
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxt-dev, libglib2.0-dev, libqt3-mt-dev (>= 3:3.3.4-4), libjpeg-dev, libtiff4-dev | libtiff3g-dev | libtiff-dev, librsvg2-bin | imagemagick
Vcs-Cvs: :ext:@djvu.cvs.sourceforge.net:/cvsroot/djvu
VCS-Browser: http://djvu.cvs.sourceforge.net/djvu/djvulibre-3.5/
Homepage: http://djvu.sourceforge.net/
Standards-Version: 3.9.0

Package: libdjvulibre-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version}), libjpeg-dev
Description: Development files for the DjVu image format
 DjVu image format static library and development files.
 .
 DjVu is a set of compression technologies, a file format, and a
 software platform for the delivery over the Web of digital documents,
 scanned documents, and high resolution images.
 .
 DjVu documents download and display extremely quickly, and look
 exactly the same on all platforms.  DjVu can be seen as a superior
 alternative to PDF and Postscript for digital documents, to TIFF (and
 PDF) for scanned documents, to JPEG for photographs and pictures, and
 to GIF for large palettized images.  DjVu is the only Web format that
 is practical for distributing high-resolution scanned documents in
 color.

Package: libdjvulibre21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
Conflicts: libdjvulibre1
Replaces: libdjvulibre1, libdjvulibre15
Description: Runtime support for the DjVu image format
 DjVu runtime library.

Package: libdjvulibre-text
Section: libs
Architecture: any
Depends: ${misc:Depends}
Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
Description: Linguistic support files for libdjvulibre
 Runtime linguistic support files for the libdjvulibre library.

Package: djvulibre-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
Description: Debug symbols for the DjVu image format
 DjVu runtime debug symbols.

Package: djvulibre-desktop
Section: libs
Architecture: any
Depends: ${misc:Depends}
Suggests: djview4 | djvu-viewer | evince
Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
Replaces: libdjvulibre15 (<= 3.5.20-5)
Description: Desktop support for the DjVu image format
 Miscellaneous files to support the DjVu image format on the desktop.

Package: djview3
Section: graphics
Architecture: any
Conflicts: djview (<= 3.5.20-5), libdjvulibre-text (= 3.5.20-9)
Provides: djvu-viewer
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: djvulibre-desktop
Suggests: djvulibre-bin, djvulibre-plugin
Description: Viewer for the DjVu image format
 DjVu viewer djview3, formerly knows as just djview.

Package: djview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
Description: Transition package for djview to djview3
 Ease transition of package name from djview to djview3.

Package: djvuserve
Section: web
Recommends: apache | httpd-cgi | httpd
Conflicts: djvulibre-bin (<< 3.5.9-3)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CGI program for unbundling DjVu files on the fly
 CGI program to convert a bundled multi-page DjVu document into an
 indirect DjVu document on the fly.  This provides for efficiently
 browsing large DjVu documents without transferring unnecessary pages.

Package: djvulibre-plugin
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
Enhances: mozilla-browser, mozilla, mozilla-firefox, iceweasel, iceape-browser, konqueror, galeon
Recommends: mozilla-browser | mozilla | mozilla-firefox | iceweasel | iceape-browser | konqueror | galeon
Suggests: mime-support
Conflicts: djvulibre-bin (<< 3.5.19)
Description: Browser plugin for the DjVu image format
 DjVu browser plugin.

Package: djvulibre-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl
Recommends: pdf2djvu
Suggests: djvulibre-desktop, djview4 | djvu-viewer | evince
Description: Utilities for the DjVu image format
 Executables including utilities for conversion between DjVu and other
 formats.

=== rkward/rbackend/rpackages/rkwardtests/debian/rules ===
#!/usr/bin/make -f
#								-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-rkward-rkwardtests package
# Copyright 2012 by m.eik michalke <meik.michalke@hhu.de>

debRreposname := other-rkward

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

=== rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_OPTIONS   ?= debug nostrip

ifeq ($(DEB_HOST_GNU_TYPE),m68k-linux-gnu) # m68k GCC 4.0 breakage
	CFLAGS = -Wall -Wno-non-virtual-dtor
else
	CFLAGS = -Wall
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
else
	CFLAGS += -DNDEBUG
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_HOST_GNU_TYPE),m68k-linux-gnu) # m68k GCC 4.0 breakage
	CFLAGS += -O2
else ifeq ($(DEB_HOST_GNU_TYPE),alpha-linux-gnu) # alpha GCC 4.1/4.2 breakage
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# extract library major version from source build system
libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure \
		   | head -1 \
		   | sed 's/LIBDJVU_VER_COMPAT=//')

# extract library major version expected by debian packaging
libver := $(shell egrep '^Package: libdjvulibre[0-9]+$$' debian/control \
		  | head -1 \
		  | sed 's/Package: libdjvulibre//')

ifneq ($(libver0),$(libver))
	error inconsistent debian/control library major version
endif

testlibver:
	@echo library major version: upstream $(libver0), debian $(libver) $(libver1) $(libver2)

config.status: configure
	dh_testdir
	dh_auto_configure -- --enable-djview --disable-desktopfiles --enable-static --enable-shared

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) -k depend	# otherwise a missing Makefile.dep blows up
# deliciously monstrous libtool workaround by Cthulhu via H.P.Lovecraft@ubuntu.com,
# http://patches.ubuntu.com/d/djvulibre/djvulibre_3.5.22-1ubuntu1.patch
ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
	sed -i.orig '/^LIBS/s/-lm/-lm -lsupc++ -lgcc/' libdjvu/Makefile
	touch -r libdjvu/Makefile.orig libdjvu/Makefile
endif
	$(MAKE) OPTS="$(CFLAGS)" # hotwire compiler options
	touch build-stamp

clean:
	dh $@
	@echo push in latest config support files
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config/config.guess

plugsubdir=netscape/plugins-libc6
plug=$(plugsubdir)/nsdejavu.so

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_prep
	dh_installdirs
	$(MAKE) install	\
		DESTDIR=$(CURDIR)/debian/tmp \
		plugindir=/usr/lib/$(plugsubdir)
	chmod +x debian/tmp/usr/bin/any2djvu
	mkdir --parents debian/tmp/usr/lib/cgi-bin
	cp --preserve=timestamps debian/djvuserve.sh \
		debian/tmp/usr/lib/cgi-bin/djvuserve
	chmod +x debian/tmp/usr/lib/cgi-bin/djvuserve
	mkdir --parents      debian/tmp/usr/lib/mozilla/plugins
	ln -sf ../../$(plug) debian/tmp/usr/lib/mozilla/plugins/
	mkdir --parents      debian/tmp/usr/lib/mozilla-firefox/plugins
	ln -sf ../../$(plug) debian/tmp/usr/lib/mozilla-firefox/plugins/
	@echo "install djvu icon and mime types"
	for n in 22 32 48 64 ; do \
	  d="debian/tmp/usr/share/icons/hicolor/$${n}x$${n}/mimetypes"; \
	  mkdir --parents $${d}; \
	  install --mode=644 desktopfiles/hi$${n}-djvu.png \
	    $${d}/image-vnd.djvu.png; \
	  ln -sf image-vnd.djvu.png \
	    $${d}/djvu.png; \
	done
	mkdir --parents debian/tmp/usr/share/icons/hicolor/scalable/mimetypes
	install --mode=644 desktopfiles/hi-djvu.svgz \
	  debian/tmp/usr/share/icons/hicolor/scalable/mimetypes/image-vnd.djvu.svgz
	ln -sf image-vnd.djvu.svgz \
	  debian/tmp/usr/share/icons/hicolor/scalable/mimetypes/djvu.svgz
	mkdir --parents debian/tmp/usr/share/mimelnk/image
	install --mode=644 desktopfiles/vnd.djvu.desktop \
	  debian/tmp/usr/share/mimelnk/image/
	@echo "install djview3 icon and menu"
	mkdir --parents debian/tmp/usr/share/icons/hicolor/scalable/apps
	install --mode=644 desktopfiles/hi-djview3.svgz \
	  debian/tmp/usr/share/icons/hicolor/scalable/apps/djvulibre-djview3.svgz
	mkdir --parents debian/tmp/usr/share/icons/hicolor/32x32/apps
	install --mode=644 debian/djvulibre-djview3.xpm \
	  debian/tmp/usr/share/icons/hicolor/32x32/apps/
	mkdir --parents debian/tmp/usr/share/applications
	install --mode=755 desktopfiles/djvulibre-djview3.desktop \
	  debian/tmp/usr/share/applications/
	touch install-stamp

binary: binary-indep binary-arch

binary-indep:

binary-arch:
	dh $@ --before auto_configure
	dh $@ --after auto_test --before auto_install
	debian/rules install
	dh $@ --after auto_install --until dh_install
	@echo remove from djvulibre-bin, already in djview3
	find debian/djvulibre-bin -name djview3\* -print -delete
	@echo remove from djvulibre-bin, just links
	find debian/djvulibre-bin -name djview\* -print -delete
	@echo remove from djvulibre-bin, already in djvulibre-plugin
	find debian/djvulibre-bin -name nsdejavu\* -print -delete
	@echo remove from djvulibre-bin, already in djvuserve
	find debian/djvulibre-bin -name djvuserve\* -print -delete
# 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
# 	find debian/djvulibre-bin -name djvudigital\* -print -delete
	dh $@ --after dh_install --before compress
	dh_compress --exclude=.djvu
	dh $@ --after compress --before strip
	dh_strip --dbg-package=djvulibre-dbg
	dh $@ --after strip --before makeshlibs
	dh_makeshlibs --version-info --exclude=/plugins
	dh $@ --after makeshlibs

.PHONY: build clean binary-indep binary-arch binary install testlibver
